building nalfs 5.1.1 on a 6.0 system :O

Kevin P. Fleming kpfleming at linuxfromscratch.org
Fri Jan 7 06:03:03 PST 2005


Japie wrote:

> I tryed to build nalfs 5.1.1 on my 6.0 system but ran itno the following
> problem at binutils pass1 - Configure:

There is no such product as nALFS 5.1.1. There is nALFS 1.2.4, and it 
builds correctly on pretty much any Linux system.

> x-: /tools/bin/ld: unrecognized option '--as-needed'                           
> x-: /tools/bin/ld: use the --help option for usage information                 
> x-: collect2: ld returned 1 exit status                                        
> x-: *** The command 'gcc -o conftest -g -O2   conftest.c' failed.              
> x-: *** You must set the environment variable CC to a working compiler.

Obviously, you mean you are trying to build LFS 5.1.1 using an LFS 6.0 
host. If you check the list archives for LFS (lfs-support), you will see 
that this issue has nothing to do with nALFS or ALFS in general. It is a 
known problem.



More information about the alfs-discuss mailing list